# Gimp.Item.transform_matrix

    @accepts(Gimp.Item, float, float, float, float, float, float, float, float, float)
    @returns(Gimp.Item)
    def transform_matrix(self, coeff_0_0, coeff_0_1, coeff_0_2, coeff_1_0, coeff_1_1, coeff_1_2, coeff_2_0, coeff_2_1, coeff_2_2):
        # Python wrapper for gimp_item_transform_matrix()

Transform the specified item in 2d.

This procedure transforms the specified item.

The transformation is done by assembling a 3x3 matrix from the coefficients passed.

If a selection exists and the item is a drawable, the portion of the drawable which lies under the selection is cut from the drawable and made into a floating selection which is then transformed as specified. The return value is the ID of the transformed floating selection.

If there is no selection or the item is not a drawable, the entire item will be transformed according to the specified matrix. The return value will be equal to the item ID supplied as input.

This procedure is affected by the following context setters: Gimp.context_set_interpolation, Gimp.context_set_transform_direction, Gimp.context_set_transform_resize.

Since 2.8

self

  The affected item.

coeff_0_0

  coefficient (0,0) of the transformation matrix.

coeff_0_1

  coefficient (0,1) of the transformation matrix.

coeff_0_2

  coefficient (0,2) of the transformation matrix.

coeff_1_0

  coefficient (1,0) of the transformation matrix.

coeff_1_1

  coefficient (1,1) of the transformation matrix.

coeff_1_2

  coefficient (1,2) of the transformation matrix.

coeff_2_0

  coefficient (2,0) of the transformation matrix.

coeff_2_1

  coefficient (2,1) of the transformation matrix.

coeff_2_2

  coefficient (2,2) of the transformation matrix.

Returns